import request from '../utils/request'
import getAPI from '../config/apis'

export default {
  namespaced: true,
  state: {
    usercode: '',
    showPage: false
  },
  mutations: {
    updateGetCode(state, usercode) {
      state.usercode = usercode
    },
    updateShowPage(state, data) {
      state.showPage = data
    }
  },
  actions: {
    getGetCode({ commit }, params) {
      return new Promise((resolve, reject) => {
        request({ ...getAPI('getcode.get', { code: params.usercode }) }).then((data) => {
          commit('updateGetCode', data)
          resolve()
        }).catch(reject)
      });
    },
    show({ commit }) {
      commit('updateShowPage', true)

    }
  }
}